$LOAD_PATH << './DataMiner'
require "core.rb"
require "wowdb_maps.rb"
require "wowdb_recipes.rb"

class Test
  include JsonHelper
  def doit(d)
    from_json(d)
  end
end


recipes = WoWDBRecipes.new

# Get the alchemy recipes
alchemy = recipes.get_alchemy_list

# Parse all alchemy recipes
alchemy.each_pair do |name,data|

	recipedetail = alchemy[name]
	recipes.add_recipe_details(recipedetail)
	#p name
	#p data

	filterlist = Array.new

		# if we have a trainer, set the source to be trainer, and add a flag of 1 the flags list
		source = data[:method_vendors].nil?() ? 'L["Unknown"]' : 'L["Trainer"]'
		filterlist = data[:method_vendors].nil?() ? filterlist : filterlist << "1"
		skill = "0" 
		unless data[:skillup].nil? 
		skill = data[:skillup].first

	end

	$stdout.puts "self:addTradeSkillSpell(#{data[:id]}, #{skill}, #{source}, #{filterlist.join ','})"

end


# data = {:method_vendors=>[{:price=>[8000, 0, 0], :type=>7, :locs=>[440], :react=>[1, 1],
#      :desc=>"Alchemy Supplies", :name=>"Alchemist Pestlezugg", :minlevel=>45, :id=>5594}],
#   :learned=>200, :produces=>[3577], :skillup=>[200, 240, 260, 280], :method_drops=>[],
#   :rarity=>2, :method=>"sold-by,", :reagents=>[[3575, 1]], :id=>9304}
 

